package org.dromara.system.service;

import jakarta.validation.constraints.NotNull;
import org.dromara.common.core.domain.R;
import org.dromara.system.domain.SysUnitDomain;
import org.dromara.system.domain.vo.SysUnitDomainVo;
import org.dromara.system.domain.bo.SysUnitDomainBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 单位域名配置Service接口
 *
 * @author LionLi
 * @date 2024-03-29
 */
public interface ISysUnitDomainService {

    /**
     * 查询单位域名配置
     */
    SysUnitDomainVo queryById(Long id);

    /**
     * 根据域名获取站点配置信息
     * @param domain 域名
     * @return
     */
    public SysUnitDomainVo queryByDomainName(String domain);

    /**
     * 查询单位域名配置列表
     */
    TableDataInfo<SysUnitDomainVo> queryPageList(SysUnitDomainBo bo, PageQuery pageQuery);

    /**
     * 查询单位域名配置列表
     */
    List<SysUnitDomainVo> queryList(SysUnitDomainBo bo);

    /**
     * 新增单位域名配置
     */
    Boolean insertByBo(SysUnitDomainBo bo);

    /**
     * 修改单位域名配置
     */
    Boolean updateByBo(SysUnitDomainBo bo);

    /**
     * 校验并批量删除单位域名配置信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
